ldconfig(8)

NAZWA
ldconfig - określ powiązania konsolidacyjne czasu uruchamiania

SKŁADNIA
ldconfig [ -DvnNX ] katalog ...
ldconfig -l [ -Dv ] biblioteka ...
ldconfig -p

OPIS
ldconfig tworzy potrzebne linki i cache (dla użytku linkera ld.so) do większości aktualnych bibliotek dzielonych, które znajdzie w podanych katalogach, w pliku /etc/ld.so.conf, oraz w zaufanych katalogach (/usr/lib oraz /lib). ldconfig sprawdza nagłówki i nazwy plików badanych bibliotek. W ten sposób określa, które wersje powinny mieć odnowione linki.

ldconfig powinien normalnie być uruchamiany przez superużytkownika, gdyż może wymagać praw zapisu do katalogów posiadanych przez nadzorcę. Zazwyczaj jest uruchamiany automatycznie podczas bootowania z /etc/rc, lub ręcznie, przy każdej instalacji nowych DLL-i (Dynamic Link Libraries).

OPCJE

-D  Tryb śledzenia. Wymusza -N oraz -X.

-v  Tryb gadatliwy. Wydrukuj bieżący numer wersji, nazwę każdego skanowanego katalogu i każdy tworzony link.

-n  Przetwórz tylko katalogi podane w linii komend. Nie przetwarzaj katalogów zaufanych (/usr/lib i /lib) ani tych, podanych w /etc/ld.so.conf. Wymusza -N.

-N  Nie przebudowuj cache. O ile nie podano -X, linki są wciąż odnawiane.

-X  Nie odnawiaj linków. O ile nie podano -N, cache jest wciąż przebudowywane.

-l  Tryb biblioteki. Linkuj ręcznie pojedyncze biblioteki. Przeznaczone tylko dla ekspertów.

-p  Drukuj listę katalogów i biblioteki, przechowywane w bieżącym cache.

PRZYKŁADY
Posiadanie w pliku /etc/rc linii
    /sbin/ldconfig -v
skonfiguruje prawidłowe linki do bibliotek dzielonych i przebuduje cache.

Podanie w linii komend
    # /sbin/ldconfig -n /lib
po zainstalowaniu nowego DLL, odnowi linki symboliczne z /lib.

PLIKI
/lib/ld.so
    Linker czasu uruchamiania.
/etc/ld.so.conf
    Plik, zawierający listę katalogów, oddzielonych dwukropkami, spacjami, tabulacjami, lub nowymi liniami. Katalogi wskazują, gdzie szukać bibliotek.
/etc/ld.so.cache
    Plik, zawierający uporządkowaną listę bibliotek, znalezionych w katalogach z /etc/ld.so.conf.
lib*.so.version
    Biblioteki dzielone.

ZOBACZ TAKŻE
ldd(1), ld.so(8).

BŁĘDY

Funkcjonalność ldconfig w połączeniu z ld.so jest dostępna tylko dla plików wykonywalnych, skompilowanych z libc w wersji co najmniej 4.4.3.

ldconfig, jako proces użytkownika, musi być uruchamiany ręcznie i nie ma narzędzi dynamicznego określania i relinkowania bibliotek dzielonych dla ld.so po zainstalowaniu nowego DLL.

AUTORZY
David Engel oraz Mitch D'Souza